# Wallet

## Get wallet

Returns a Matrica user based on their wallet address.

{% openapi src="/files/yZk0HZM5zgDLwFFZROhK" path="/wallet/{walletId}" method="get" %}
[openapi-api.json](https://2946875910-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLywT3slSQ4GoAk6k17dV%2Fuploads%2F4JjlUa9i1SXbANP2Isfu%2Fopenapi-api.json?alt=media\&token=cff2c0a1-ca66-494f-bfaf-5b31ffc8a3e2)
{% endopenapi %}

## Get wallet collections

Returns all collections owned by a wallet.

{% openapi src="/files/yZk0HZM5zgDLwFFZROhK" path="/wallet/{walletId}/collections" method="get" %}
[openapi-api.json](https://2946875910-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLywT3slSQ4GoAk6k17dV%2Fuploads%2F4JjlUa9i1SXbANP2Isfu%2Fopenapi-api.json?alt=media\&token=cff2c0a1-ca66-494f-bfaf-5b31ffc8a3e2)
{% endopenapi %}

## Get wallet NFTs

Returns all NFTs, including staked and listed, held by a wallet.

{% openapi src="/files/yZk0HZM5zgDLwFFZROhK" path="/wallet/{walletId}/nfts" method="get" %}
[openapi-api.json](https://2946875910-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLywT3slSQ4GoAk6k17dV%2Fuploads%2F4JjlUa9i1SXbANP2Isfu%2Fopenapi-api.json?alt=media\&token=cff2c0a1-ca66-494f-bfaf-5b31ffc8a3e2)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.matrica.io/api-reference/wallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
